# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2021"
name = "diffuse_rs_core"
version = "0.1.0"
authors = ["Eric Buehler"]
build = false
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "Core package of diffuse_rs"
homepage = "https://github.com/EricLBuehler/diffuse-rs"
readme = "README.md"
keywords = ["machine-learning"]
categories = ["science"]
license = "MIT"
repository = "https://github.com/EricLBuehler/diffuse-rs"

[lib]
name = "diffuse_rs_core"
path = "src/lib.rs"

[dependencies.anyhow]
version = "1.0.94"

[dependencies.clap]
version = "4.5.23"
features = ["derive"]

[dependencies.diffuse_rs_backend]
version = "0.1.0"

[dependencies.diffuse_rs_common]
version = "0.1.0"

[dependencies.float8]
version = "0.1.0"
features = [
    "num-traits",
    "rand_distr",
]

[dependencies.half]
version = "2.4.1"
features = [
    "num-traits",
    "use-intrinsics",
    "rand_distr",
]

[dependencies.hf-hub]
version = "0.3.2"

[dependencies.image]
version = "0.25.5"

[dependencies.indicatif]
version = "0.17.9"

[dependencies.objc]
version = "0.2.7"
optional = true

[dependencies.serde]
version = "1.0.215"

[dependencies.serde_json]
version = "1.0.133"

[dependencies.serde_plain]
version = "1.0.2"

[dependencies.thiserror]
version = "2.0.4"

[dependencies.tokenizers]
version = "0.21.0"

[dependencies.tqdm]
version = "0.7.0"

[dependencies.tracing]
version = "0.1.41"

[features]
accelerate = ["diffuse_rs_common/accelerate"]
cuda = [
    "diffuse_rs_common/cuda",
    "diffuse_rs_backend/cuda",
]
cudnn = ["diffuse_rs_common/cudnn"]
metal = [
    "diffuse_rs_common/metal",
    "diffuse_rs_backend/metal",
    "dep:objc",
]
mkl = ["diffuse_rs_common/mkl"]
